
.titre2, .intro-article {
    text-align: center;
    font-family: "Source Sans 3", sans-serif;
    font-optical-sizing: 0 auto;
    font-weight: <weight>;
    font-style: normal;
    margin-top: 40px;
    font-size: 3rem;
    color: #3496db;

}

@media (max-width: 600px) {
    .titre2, .intro-article{
        font-size: 1.5rem;
        padding: 0 10px;
    }
}

.description2, .desc-article {
    text-align: center;
    font-family: "Source Sans 3", sans-serif;
    font-optical-sizing: 0 auto;
    font-style: normal;
    font-size : 1.5rem;
    color: gray;
    margin-bottom: 30px;
}

@media (max-width: 600px) {
    .description2, .desc-article{
        font-size: 1rem;
        padding: 0 10px;
    }
}

.container{
    width: 90%;
    height: auto;
    margin: auto;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr)); 
    gap: 30px;
}

.livre1{
    display: flex;
    flex-direction: column;
    background-color: rgb(206, 235, 249);
    cursor: pointer;
    padding: 10px;
}

.livre1:hover{
    box-shadow: 0 6px 8px rgba(0, 0, 0, 0.2);
    transform: translateY(-3px);
    transition: all 0.3s ease;
   
}


.livre1 p{
    font-size: 1em;
    font-family: "Source Sans 3", sans-serif;
    font-optical-sizing: 0 auto;
    font-style: normal;
    color: gray;
    padding: 0 5px;
}

.livre1 h2{
    font-size: 1.5rem;
    font-family: "Source Sans 3", sans-serif;
    font-optical-sizing: 0 auto;
    font-style: normal;
    color: #1c5985;
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 0 5px;
    
}

.livre1 button, .bouton-article {
    background-color: #3498db;   /* couleur de fond */
    color: white;               /* couleur du texte */
    font-size: 16px;            /* taille du texte */
    padding: 4px 8px;         /* taille interne (hauteur et largeur) */
    border: none;               /* pas de bordure */
    border-radius: 8px;         /* arrondi des coins */
    cursor: pointer;            /* curseur "main" */
    transition: all 0.3s ease;  /* animation fluide */
    display: inline-block;
    width: 120px;
    margin-top: 15px;
    margin-left: 7px;
    margin-bottom: 10px;
}

/* ce style s'applique a la partie article */

.article{
    width: 90%;
    height: auto;
    display: flex;
    flex-direction: row;
    margin: 50px auto;
    background-color: rgb(224, 236, 247);
    padding: 7px;
    cursor: pointer;
}
.article:hover{
    box-shadow: 0 6px 8px rgba(0, 0, 0, 0.2);
    transform: translateY(-3px);
    transition: all 0.3s ease;}

 .texte-article{
    width: 60%;
    height: 100%;
    margin-left: 10px;
    display: flex;
    flex-direction: column;
 }

 .image-article{
    width: 40%;
    height: 50vh;
    margin-right: 10px;
 }

 .titre-article{
    font-size: 2.5rem;
    color: rgb(133, 140, 146);
    font-family: "Source Sans 3", sans-serif;
    font-optical-sizing: 0 auto;
    font-style: normal;
    text-align: center;
    text-decoration: none;
 }

 .description-article{
    font-size: 1.2rem;
    color: gray;
    font-family: "Source Sans 3", sans-serif;
    font-optical-sizing: 0 auto;
    font-style: normal;
    margin-top: 8px;
 }

 .pub{
    margin-top: 20px;
 }

@media (max-width: 600px) {
    .article{
        flex-direction: column;
        height: auto;
    }

    .image-article, .texte-article{
        width: 100%;
        height: 40vh;
        margin: 0;
    }

    .titre-article{
        font-size: 1.5rem;
        margin-top: 10px;
    }

    .description-article{
        font-size: 1rem;
        margin: 10px 0;
    }

    .bouton-article{
        margin: 10px auto;
    }
    .pub{
        font-size: 10px;
        text-align: center;
    }
}